#include <bits/stdc++.h>
using namespace std;

int N, M, K, T;

int zbir(int a){
        int p = 0;
        for(int i = 1; i < a + 1; i++){
            p += i;
        }

    return p;
}

int main(){
    //ios::sync_with_stdio(0);cin.tie(0);

    cin >> T;
    int provera[T];
    for(int i = 0; i < T ; i++){
        cin >> N >> M >> K;
        if(zbir(N) > M*K){
            provera[i] = 0;
        }
        else{
            provera[i] = 1;
        }
    }


    for(int i = 0; i < T; i++){
        if(provera[i] == 0){
            cout << "Nie" << endl;
        }
        else{
            cout << "Tak" << endl;
        }
    }
    return 0;
}